/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/libs/conv-libs/commlib/globals.h,v $
 * $Author: milind $
 * $Date: 2000/03/02 11:36:51 $
 * $Revision: 1.2 $
 *****************************************************************************/

#ifndef _GLOBALS_H
#define _GLOBALS_H

class Overlapper;
typedef Overlapper * Overlapperp;
typedef Overlapperp * Overlapperpp;
typedef Overlapperpp * Overlapperppp;

CpvDeclare(Overlapperppp , ImplTable);
CpvDeclare(NEWFN*, StrategyTable);
CpvDeclare(int, StrategyTableIndex);
CpvDeclare(int, ImplIndex);
CpvDeclare(int, RecvHandle);
CpvDeclare(int, ProcHandle);
CpvDeclare(int, DummyHandle);
CpvDeclare(int, SwitchHandle);
CpvDeclare(int, KDoneHandle);
CpvDeclare(int, KGMsgHandle);

#endif
